Foros del Web » Programando para Internet » PHP »

php, mysql y llaves foraneas

Estas en el tema de php, mysql y llaves foraneas en el foro de PHP en Foros del Web. Tengo un problemilla, he instalado easyphp 8.0 he hecho una base de datos con phpmyadmin para hacer consultas con php, pero me he dado cuenta ...
  #1 (permalink)  
Antiguo 10/06/2005, 05:11
 
Fecha de Ingreso: junio-2005
Ubicación: Cordoba
Mensajes: 41
Antigüedad: 12 años, 6 meses
Puntos: 0
php, mysql y llaves foraneas

Tengo un problemilla,
he instalado easyphp 8.0 he hecho una base de datos con phpmyadmin para hacer consultas con php,
pero me he dado cuenta que no puedo tener llaves foraneas en la base de datos, alguien sabe como???

Muchas Gracias
  #2 (permalink)  
Antiguo 10/06/2005, 06:23
 
Fecha de Ingreso: abril-2002
Mensajes: 1.013
Antigüedad: 15 años, 7 meses
Puntos: 8
No he usado EasyPHP, pero será porque incluye una versión de MySQL anterior a la 4.1 ?
  #3 (permalink)  
Antiguo 10/06/2005, 08:40
Avatar de jpogsistem  
Fecha de Ingreso: diciembre-2001
Mensajes: 2.405
Antigüedad: 16 años
Puntos: 4
Revisa que versión de Mysql Usas.................además hasta donde yo sé el EasyPHP va en el 1.7 ó 2.0 no en el 8.


Saludos.
__________________
EL LIMITE ES EL UNIVERSO
  #4 (permalink)  
Antiguo 10/06/2005, 21:49
O_O
 
Fecha de Ingreso: enero-2002
Ubicación: Santiago - Chile
Mensajes: 34.417
Antigüedad: 15 años, 11 meses
Puntos: 126
No confundas que usas un "instalador" que te instaló várias cosas (valga la redundancia) como un servidor HTTP (Apache) uno de Base de datos (Mysql) y el interprete de PHP sobre tu servidor HTTP .. Todo esto es "independiente" .. tiene su configuración y sobre todo sus versiones ..

Lo que corresponde a Mysql .. el soporte directo de Claves foráneas para toda tabla sólo está en Msyql 4.1 en adelante (si mal no recuerdo .. confirmalo en: www.mysql.com) y para versiones inferiores de Mysql tendrías que usar tablas tipo InnodB (que no son las "MyISAM" que por defecto usa Mysql).

En definitiva .. Ok, ya instalastes todo.. ahora "olvidate" de lo que usastes, centrate en lo que quedó (por ejemplo para que te actualices la versión de Mysql si consideras .. o incluso te plantees usar otro RDBMS como PostgreSQL .. Oracle ..etc ). Es necesario que te fijes que veriones de lo que usas tienes ..por que no tiene mucho sentido usar funcionalidades de cierta versión de PHP o Mysql en "local" en tu PC de "desarrollo" y luego irte a subir tu aplicación a un servicio de hosting que NO usa las mismas versiones (o superiores por lo menos) que tu.

Un saludo,
  #5 (permalink)  
Antiguo 30/06/2005, 17:30
 
Fecha de Ingreso: junio-2005
Ubicación: Cordoba
Mensajes: 41
Antigüedad: 12 años, 6 meses
Puntos: 0
Perdonen por tardar tanto en responder, pero se me averió el pc...
es verdad tengo al version de easyphp 1.8 y la version de mysql 4.1.9 creando las tablas del tipo innodb si he podido hacer las claves foraneas.
la version del mysql q usa la el servidor donde lo subire ahora mismo no lo se,
Atención: Estás leyendo un tema que no tiene actividad desde hace más de 6 MESES, te recomendamos abrir un Nuevo tema en lugar de responder al actual.
Respuesta

SíEste tema le ha gustado a 1 personas (incluyéndote)




La zona horaria es GMT -6. Ahora son las 12:47.